[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TControl.SetCursor

Sets the value for the Cursor property.

## Declaration

Source position: controls.pp line 1352

`protected procedure TControl.SetCursor(`
`Value: TCursor`
`); virtual;`

## Arguments

`Value` |  | New value for the Cursor property.

## Description

Calls Perform to send a CM_CURSORCHANGED control message to the processing loop when the member for the property is updated.

## See also

TControl.Cursor |  | Contains the shape for the mouse pointer when the mouse is over the control.
TControl.Perform |  | Calls a message handler directly, bypassing the message queue.
TControl.CMCursorChanged |  | Handles the CM_CURSORCHANGED message for the control.